org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAnnotationsImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmAnnotationsImpl

- All Implemented Interfaces:
    EdmAnnotations

      public class EdmAnnotationsImpl
      extends Object
      implements EdmAnnotations

  Objects of this class represent annotation elements and attributes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAnnotationsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotationAttribute` | `getAnnotationAttribute(String name, String namespace)` Get annotation attribute by full qualified name
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()` Get all annotation attributes for the CSDL element
    `EdmAnnotationElement` | `getAnnotationElement(String name, String namespace)` Get annotation element by full qualified name
    `List<EdmAnnotationElement>` | `getAnnotationElements()` Get all annotation elements for the CSDL element
    `void` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)`
    `void` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmAnnotationsImpl

          public EdmAnnotationsImpl()

  - ### Method Detail

    - #### getAnnotationElements

          public List<EdmAnnotationElement> getAnnotationElements()

      Description copied from interface: `EdmAnnotations`
      Get all annotation elements for the CSDL element
      Specified by:
        `getAnnotationElements` in interface `EdmAnnotations`
      Returns:
        List of `EdmAnnotationElement` or null if no elements exist

    - #### getAnnotationElement

          public EdmAnnotationElement getAnnotationElement(String name,
                                                           String namespace)

      Description copied from interface: `EdmAnnotations`
      Get annotation element by full qualified name
      Specified by:
        `getAnnotationElement` in interface `EdmAnnotations`
      Returns:
        `EdmAnnotationElement` or null if no element is found for this name

    - #### getAnnotationAttributes

          public List<EdmAnnotationAttribute> getAnnotationAttributes()

      Description copied from interface: `EdmAnnotations`
      Get all annotation attributes for the CSDL element
      Specified by:
        `getAnnotationAttributes` in interface `EdmAnnotations`
      Returns:
        List of `EdmAnnotationAttribute` or null if no attributes exist

    - #### getAnnotationAttribute

          public EdmAnnotationAttribute getAnnotationAttribute(String name,
                                                               String namespace)

      Description copied from interface: `EdmAnnotations`
      Get annotation attribute by full qualified name
      Specified by:
        `getAnnotationAttribute` in interface `EdmAnnotations`
      Returns:
        `EdmAnnotationAttribute` or null if no attribute is found for this name

    - #### setAnnotationAttributes

          public void setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

    - #### setAnnotationElements

          public void setAnnotationElements(List<EdmAnnotationElement> annotationElements)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.